Package Details: unreal-tournament-4 2532759-1

Git Clone URL: https://aur.archlinux.org/unreal-tournament-4.git (read-only)
Package Base: unreal-tournament-4
Description: A first-person shooter by Epic Games based on Unreal Engine 4.
Upstream URL: https://www.epicgames.com/unrealtournament/
Keywords: first-person fps game multiplayer online shooter unreal unreal-engine ut4
Licenses: custom:UnrealTournament
Submitter: acerix
Maintainer: acerix
Last Packager: acerix
Votes: 3
Popularity: 0.005342
First Submitted: 2016-05-06 17:53
Last Updated: 2016-08-31 14:38

Latest Comments

tad commented on 2017-06-29 03:46

New Linux build is out: https://www.epicgames.com/unrealtournament/blog/release-notes-june-28

gloriouseggroll commented on 2017-03-13 00:37

edit: removed comments after trying to compile only to realize the last release this builds from on git is from 2015.

vita_cell commented on 2017-02-18 14:01

Hi, can someone to re-upload this package? thanks guys!

gloriouseggroll commented on 2017-02-15 09:01

@orlfman you need to generate an ssh key and add it to your github account (same thing with unreal-engine) via arch wiki:

https://wiki.archlinux.org/index.php/Unreal_Engine_4#Installation
"Since the repository is private, you can set up an SSH key so your GitHub account is used to download the source."

github instructions:
https://help.github.com/articles/generating-a-new-ssh-key-and-adding-it-to-the-ssh-agent/

proceeds to clone from github afterwards

orlfman commented on 2017-01-23 22:33

The authenticity of host 'github.com (192.30.253.112)' can't be established.
RSA key fingerprint is SHA256:nThbg6kXUpJWGl7E1IGOCspRomTxdCARLviKw6E5SY8.
Are you sure you want to continue connecting (yes/no)?

acerix commented on 2016-09-21 22:04

@darkskyabove Thanks for the report. I don't have time to update/test this package right now, but it's the same fix as for unreal-engine:

https://aur.archlinux.org/cgit/aur.git/tree/0002-remove-clang35-dependency.patch?h=unreal-engine

Ideally, they should just remove the Arch stuff from Setup.sh since the dependencies are already defined in the PKGBUILDs.

darkskyabove commented on 2016-09-20 20:41

Just built with clang 3.8. I manually changed the dependency in /Engine/Build/BatchFiles/Linux/Setup.sh. Scroll down to find Arch Linux and change clang35 to clang.

acerix commented on 2016-08-31 14:44

The latest release is over a year old, so I'm guessing it doesn't support the latest clang yet. I updated the package to try that, but I can't test it at the moment.

If that doesn't work, you need to temporarily install clang35 to build this, you could remove the old one with "pacman -Rd" to skip dependency checks.

electricprism commented on 2016-08-29 22:50

:: clang35 and clang are in conflict. Remove clang? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: gnome-builder: removing clang breaks dependency 'clang'
==> Restart building unreal-tournament-4 ? [y/N]
==> --------------------------------------------